<div id="model-detail-info-rule" ng-init="innerTabOne=true">
	<div class="modal-body">
        <div class="row">
            <div class="col-sm-12">
                <div class="chat-group">
                    <div class="chat-user-title title-select-resource">原因代码识别规则管理 - 详细信息</div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12">
                <div class="rule-tab-list">
                    <ul class="nav nav-tabs">
                        <li  ng-class="{active:innerTabOne}" ng-click="innerTabOne=true;innerTabThree=false;innerTabTwo=false;"><span ng-click="goTab(1)">识别优先级</span></li>
                        <li ng-init="innerTabTwo" ng-class="{active:innerTabTwo}" ng-click="innerTabOne=false;innerTabThree=false;innerTabTwo=true;"><span ng-click="goTab(2)">识别方式</span></li>
                        <li ng-init="innerTabThree" ng-class="{active:innerTabThree}" ng-click="innerTabOne=false;innerTabThree=true;innerTabTwo=false;"><span ng-click="goTab(3)">防呆验证</span></li>
                    </ul>
                </div>
            </div>
        </div>
        
        <div class="tab-content tab-one" ng-if="innerTabOne">
            <div class="ad-row">
                <div class=" ad-col-50 ad-row">
                    <label class="ad-col-40 one-line-text">原因代码:</label>
                    <span class="ad-col-60 one-line-text" ng-bind="config.detailData.reasonCode"></span>
                </div>
                <div class="ad-col-50 ad-row">
                    <label class="ad-col-40 one-line-text">原因代码描述:</label>
                    <span class="ad-col-60 one-line-text" ng-bind="config.detailData.reasonCodeDesc"></span>
                </div>
            </div>
            <div class="ad-row">
                <div class="ad-col-50 ad-row">
                    <label class="ad-col-40 one-line-text">优先级:</label>
                    <span class="ad-col-60 one-line-text" ng-bind="config.detailData.priority"></span>
                </div>
                <div class="ad-col-50 ad-row">
                    <label class="ad-col-40 one-line-text">子优先级:</label>
                    <span class="ad-col-60 one-line-text" ng-bind="config.detailData.subPriority"></span>
                </div>
            </div>
            <div class="ad-row">
                <div class="ad-col-50 ad-row">
                    <label class="ad-col-40">生效日期:</label>
                    <span  class="ad-col-60" ng-bind="config.detailData.effDateTimeStr"></span>
                </div>
                <div class="ad-col-50 ad-row">
                    <label class="ad-col-40">失效日期:</label>
                    <span  class="ad-col-60" ng-bind="config.detailData.effEndDateTimeStr"></span>
                </div>
            </div>
            <div class="ad-row">
                <div class="ad-col-50 ad-row">
                    <label class="ad-col-40">最后修改日期:</label>
                    <span class="ad-col-60" ng-bind="config.detailData.modifiedDateTimeStr"></span>
                </div>
                <div class="ad-col-50 ad-row">
                    <label class="ad-col-40">最后修改人:</label>
                    <span class="ad-col-60" ng-bind="config.detailData.modifiedUser"></span>
                </div>
            </div>
            <div class="ad-row">
                <div class="ad-col-50 ad-row">
                    <label class="ad-col-40">是否已使用:</label>
                    <span  class="ad-col-60"><input type="checkbox" disabled ng-model="config.detailData.used" ng-true-value="'true'"></span>
                </div>
                <div class="ad-col-50 ad-row">
                    <label class="ad-col-40"></label>
                    <span  class="ad-col-60"></span>
                </div>
            </div> 
        </div>
        
        <div class="tab-content tab-two" ng-if="innerTabTwo">
            <div class="ad-rows">
                <div class="ad-row">
                    <div class="ad-col-50 ad-row">
                        <label class="ad-col-40">原因代码:</label>
                        <span class="ad-col-60" ng-bind="config.detailData.reasonCode"></span>
                    </div>
                    <div class="ad-col-50 ad-row">
                        <label class="ad-col-40">原因代码描述:</label>
                        <span class="ad-col-60" ng-bind="config.detailData.reasonCodeDesc"></span>
                    </div>
                </div>  
                <div class="ad-row">
                    <div class="ad-col-50 ad-row">
                        <label class="ad-col-40">识别方式作业:</label> 
                        <div  class="rule-indentify-search ad-col-60 nbox-group-input andon-input-wrapper" ng-class="{'focus':(focusInput),'rule-detail-r-disabled-wrapper':(!config.canEdit || !config.btnDisabledEditParams)}">
                            <input ng-init="focusInput=false" 
                                   ng-focus="focusInput=true" 
                                   ng-blur="focusInput=false" 
                                   type="text" 
                                   placeholder="" 
                                   ng-disabled="!config.btnDisabledEditParams" 
                                   class="form-control ad-left-child fill-parent ad-uppercase"
                                   ng-change="changeUppercase();"
                                   ng-model="config.detailData.activityR">
                            <i ng-click="openIndentifySelectModel();" class="fa fa-search ad-right-child focus"></i>
                        </div>
                    </div>
                    <div class="ad-col-50 ad-row">
                        <label class="ad-col-40">识别方式描述:</label>
                        <span class="ad-col-60" ng-bind="config.detailData.activityRDesc"></span>
                    </div>
                </div>
                <div class="ad-row">
                    <div class="ad-col-50 ad-row">
                        <label class="ad-col-40">最后修改日期:</label>
                        <span class="ad-col-60" ng-bind="config.detailData.modifiedDateTimeRStr"></span>
                    </div>  
                    <div class="ad-col-50 ad-row">
                        <label class="ad-col-40">最后修改人:</label>
                        <span class="ad-col-60" ng-bind="config.detailData.modifiedUserR"></span>
                    </div>
                </div>
                <div class="ad-row" ng-if="config.canEdit && config.detailCanEdit && config.btnDisabledEditParams">
                    <div class="ad-col-70 ad-row">
                        <div class="ad-col-33">
                            <button type="button" namd="Set focus button" class="btn btn-primary deleteBtn" ng-click="actionFChanged2('default');" ng-disabled="config.hasSelectedRow2">使用默认值</button>
                            <!-- <span>使用默认值</span> 
                            <input type="radio" ng-change="actionFChanged2();" value="default" ng-model="config.currentAction2" ng-disabled="config.hasSelectedRow2" name="action-r2"> -->
                        </div> 
                        <div class="ad-col-33"> 
                            <button type="button" namd="Set focus button" class="btn btn-primary deleteBtn" ng-click="actionFChanged2('set');" ng-disabled="config.hasSelectedRow2">使用设定值</button>
                            <!-- <span>使用设定值</span> 
                            <input type="radio" ng-change="actionFChanged2();" value="set" ng-model="config.currentAction2" ng-disabled="config.hasSelectedRow2" name="action-r2"> -->
                        </div> 
                        <div class="ad-col-33" ng-if="false"> 
                            <span>不使用</span> 
                            <input type="radio" ng-change="actionFChanged2();" value="notUse" ng-model="config.currentAction2" ng-disabled="config.hasSelectedRow2" name="action-r2">
                        </div> 
                    </div>
                    <div class="ad-col-30 ad-row">
                        <!-- <button type="button" namd="Set focus button" class="btn btn-primary deleteBtn" ng-click="savePreventStayActivity();" ng-disabled="config.btnDisabledSaveStayActivity">保存</button> -->
                    </div>
                </div>
            </div>
            <div class="params-header chat-user-title">识别方式作业参数</div>
            
            <div class="params-grid">
                <div ui-grid="paramsGridOptions" class="rules-params-grid" ui-grid-cellnav ui-grid-selection ui-grid-edit ui-grid-resize-columns ui-grid-auto-resize></div>
            </div>
            
            <div class="params-btns">
                <button ng-if="config.canEdit && config.detailCanEdit" type="button" namd="Set focus button" class="btn btn-primary deleteBtn" ng-click="editParams();" ng-disabled="config.btnDisabledEditParams">编辑</button>
                <button ng-if="config.canEdit && config.detailCanEdit" type="button" namd="Set focus button" class="btn btn-primary deleteBtn" ng-click="saveParams();" ng-disabled="config.btnDisabledSaveParams">保存</button>
                <button type="button" namd="Set focus button" class="btn btn-primary deleteBtn" ng-click="cancelParams();" ng-disabled="config.btnDisabledCancelParams">取消</button> 
            </div> 
        </div> 
        
        <div class="tab-content" ng-if="innerTabThree">
            <div class="ad-rows">
                <div class="ad-row">
                    <div class="ad-col-50 ad-row">
                        <label class="ad-col-40">原因代码:</label>
                        <span class="ad-col-60" ng-bind="config.detailData.reasonCode"></span>
                    </div>
                    <div class="ad-col-50 ad-row">
                        <label class="ad-col-40">原因代码描述:</label>
                        <span class="ad-col-60" ng-bind="config.detailData.reasonCodeDesc"></span>
                    </div>
                </div>  
                <div class="ad-row"> 
                    <div class="ad-col-50 ad-row">
                        <label class="ad-col-40">防呆验证作业:</label>
                        <div class="rule-indentify-search ad-col-60 nbox-group-input andon-input-wrapper" ng-class="{'focus':(focusInput),'rule-detail-r-disabled-wrapper':(!config.canEdit ||!config.btnDisabledEditStayParams)}"> 
                            <input ng-init="focusInput=false"
                                   ng-focus="focusInput=true"
                                   ng-blur="focusInput=false"
                                   type="text"
                                   placeholder=""
                                   ng-change="changeUppercase();"
                                   ng-disabled="!config.btnDisabledEditStayParams" 
                                   class="form-control ad-left-child fill-parent ad-uppercase"
                                   ng-model="config.detailData.activityF">
                            <i ng-click="openPreventStaySelectModel();" class="fa fa-search ad-right-child focus"></i>
                        </div>      
                    </div>          
                    <div class="ad-col-50 ad-row">
                        <label class="ad-col-40">防呆验证描述:</label>
                        <span class="ad-col-60" ng-bind="config.detailData.activityFDesc"></span>
                    </div>
                </div>  
                <div class="ad-row">
                    <div class="ad-col-50 ad-row">
                        <label class="ad-col-40">最后修改日期:</label>
                        <span class="ad-col-60" ng-bind="config.detailData.modifiedDateTimeFStr"></span>
                    </div>
                    <div class="ad-col-50 ad-row">
                        <label class="ad-col-40">最后修改人:</label>
                        <span class="ad-col-60" ng-bind="config.detailData.modifiedUserF"></span>
                    </div>
                </div>  
                <div class="ad-row" ng-if="config.detailCanEdit && config.btnDisabledEditStayParams">
                    <div class="ad-col-70 ad-row">
                        <div class="ad-col-33"> 
                            <button type="button" namd="Set focus button" class="btn btn-primary deleteBtn" ng-click="actionFChanged('default');" ng-disabled="config.hasSelectedRow">使用默认值</button>
                            <!-- <span>使用默认值</span> 
                            <input type="radio" ng-change="actionFChanged();" value="default" ng-model="config.currentAction" ng-disabled="config.hasSelectedRow" name="action-r"> -->
                        </div>
                        <div class="ad-col-33">
                            <button type="button" namd="Set focus button" class="btn btn-primary deleteBtn" ng-click="actionFChanged('set');" ng-disabled="config.hasSelectedRow">使用设定值</button>
                            <!-- <span>使用设定值</span> 
                            <input type="radio" ng-change="actionFChanged();" value="set" ng-model="config.currentAction" ng-disabled="config.hasSelectedRow" name="action-r"> -->
                        </div> 
                        <div class="ad-col-33" ng-if="false"> 
                            <span>不使用</span> 
                            <input type="radio" ng-change="actionFChanged();" value="notUse" ng-model="config.currentAction" ng-disabled="config.hasSelectedRow" name="action-r">
                        </div> 
                    </div>
                    <div class="ad-col-30 ad-row">
                        <button type="button" namd="Set focus button" class="btn btn-primary deleteBtn" ng-click="savePreventStayActivity();" ng-disabled="config.btnDisabledSaveStayActivity">保存</button>
                    </div>
                </div>
            </div>
            <div class="params-header chat-user-title">防呆验证作业参数</div>
            <div class="params-grid">
                <div ui-grid="PreventStayGridOptions" class="rules-params-grid" ui-grid-cellnav ui-grid-edit ui-grid-selection ui-grid-resize-columns ui-grid-auto-resize></div>
            </div>
            
            <div class="params-btns">
                <button ng-if="config.canEdit && config.detailCanEdit" type="button" namd="Set focus button" class="btn btn-primary deleteBtn" ng-click="editPreventStayParams();" ng-disabled="config.btnDisabledEditStayParams">编辑</button>
                <button ng-if="config.canEdit && config.detailCanEdit" type="button" namd="Set focus button" class="btn btn-primary deleteBtn" ng-click="savePreventStayParams();" ng-disabled="config.btnDisabledSaveStayParams">保存</button>
                <button type="button" namd="Set focus button" class="btn btn-primary deleteBtn" ng-click="cancelPreventStayParams();" ng-disabled="config.btnDisabledCancelStayParams">取消</button>
            </div>
        </div> 
        
    </div>
</div>